opencv: cv::GenericDescriptorMatcher Class Reference

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes

# cv::GenericDescriptorMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::GenericDescriptorMatcher:

List of all members.

## Classes
class | KeyPointCollection
## Public Member Functions
virtual void | add (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints)
void | classify (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints) const
void | classify (const Mat &queryImage, vector< KeyPoint > &queryKeypoints)
virtual void | clear ()
virtual Ptr < GenericDescriptorMatcher > | clone (bool emptyTrainData=false) const =0
| GenericDescriptorMatcher ()
const vector< Mat > & | getTrainImages () const
const vector< vector< KeyPoint > > & | getTrainKeypoints () const
virtual bool | isMaskSupported ()=0
void | knnMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< vector< DMatch > > &matches, int k, const Mat &mask=Mat(), bool compactResult=false) const
void | knnMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
void | match (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< DMatch > &matches, const vector< Mat > &masks=vector< Mat >())
void | match (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< DMatch > &matches, const Mat &mask=Mat()) const
void | radiusMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
void | radiusMatch (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, const Mat &trainImage, vector< KeyPoint > &trainKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const Mat &mask=Mat(), bool compactResult=false) const
virtual void | read (const FileNode &)
virtual void | train ()
virtual void | write (FileStorage &) const
virtual | ~GenericDescriptorMatcher ()
## Static Public Member Functions
static Ptr < GenericDescriptorMatcher > | create (const string &genericDescritptorMatcherType, const string &paramsFilename=string())
## Protected Member Functions
virtual void | knnMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)=0
virtual void | radiusMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)=0
## Protected Attributes
KeyPointCollection | trainPointCollection

## Constructor & Destructor Documentation

cv::GenericDescriptorMatcher::GenericDescriptorMatcher | ( | ) |

virtual cv::GenericDescriptorMatcher::~GenericDescriptorMatcher | ( | ) | `[virtual]`

## Member Function Documentation

virtual void cv::GenericDescriptorMatcher::add | ( | const vector< Mat > & | images,
|  | vector< vector< KeyPoint > > & | keypoints
| ) |  | `[virtual]`

Reimplemented in cv::VectorDescriptorMatcher.

void cv::GenericDescriptorMatcher::classify | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints
| ) |  |

void cv::GenericDescriptorMatcher::classify | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints
| ) |  | const

virtual void cv::GenericDescriptorMatcher::clear | ( | ) | `[virtual]`

Reimplemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

virtual Ptr<GenericDescriptorMatcher> cv::GenericDescriptorMatcher::clone | ( | bool | emptyTrainData = `false` ) | const`[pure virtual]`

Implemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

static Ptr<GenericDescriptorMatcher> cv::GenericDescriptorMatcher::create | ( | const string & | genericDescritptorMatcherType,
|  | const string & | paramsFilename = `string()`
| ) |  | `[static]`

const vector<Mat>& cv::GenericDescriptorMatcher::getTrainImages | ( | ) | const

const vector<vector<KeyPoint> >& cv::GenericDescriptorMatcher::getTrainKeypoints | ( | ) | const

virtual bool cv::GenericDescriptorMatcher::isMaskSupported | ( | ) | `[pure virtual]`

Implemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

void cv::GenericDescriptorMatcher::knnMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const Mat & | mask = `Mat()`,
|  | bool | compactResult = `false`
| ) |  | const

void cv::GenericDescriptorMatcher::knnMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  |

virtual void cv::GenericDescriptorMatcher::knnMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, pure virtual]`

Implemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

void cv::GenericDescriptorMatcher::match | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints,
|  | vector< DMatch > & | matches,
|  | const Mat & | mask = `Mat()`
| ) |  | const

void cv::GenericDescriptorMatcher::match | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< DMatch > & | matches,
|  | const vector< Mat > & | masks = `vector< Mat >()`
| ) |  |

void cv::GenericDescriptorMatcher::radiusMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  |

void cv::GenericDescriptorMatcher::radiusMatch | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | const Mat & | trainImage,
|  | vector< KeyPoint > & | trainKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const Mat & | mask = `Mat()`,
|  | bool | compactResult = `false`
| ) |  | const

virtual void cv::GenericDescriptorMatcher::radiusMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, pure virtual]`

Implemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

virtual void cv::GenericDescriptorMatcher::read | ( | const FileNode & | ) | `[virtual]`

Reimplemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

virtual void cv::GenericDescriptorMatcher::train | ( | ) | `[virtual]`

Reimplemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

virtual void cv::GenericDescriptorMatcher::write | ( | FileStorage & | ) | const`[virtual]`

Reimplemented in cv::OneWayDescriptorMatcher, cv::FernDescriptorMatcher, and cv::VectorDescriptorMatcher.

## Member Data Documentation

KeyPointCollection cv::GenericDescriptorMatcher::trainPointCollection`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines